Bug 381671 - Package updater doesn't recognize x86_64 DVD
Package updater doesn't recognize x86_64 DVD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 01:07 EST by Michael White
Modified: 2008-05-28 15:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:17:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael White 2007-11-14 01:07:04 EST
Description of problem:
When running the package updater under Gnome, Gnome continually prompts for the
CD1 of the Fedora Core 8, even though the DVD is in the DVD drive.  The DVD is
readable, and in fact Gnome first opened the drive and graphically displayed the
files and folders within.  Because the package updater can't access the DVD, I
can't select the details on the packages post install (works well with bug 381651)

Version-Release number of selected component (if applicable):
FC8

How reproducible:
Inert DVD.  Run package updater.

Steps to Reproduce:
1. Start Gnome as root.
2. Insert DVD.
3. Run package updater.
  
Actual results:
Had to exit package updater before it could perform any action.

Expected results:
Should be able to run package updater to update packages.

Additional info:
Comment 1 Robin Norwood 2007-11-15 17:31:09 EST
I think this referes to pirut, the package updater for Fedora 8.
Comment 2 Jeremy Katz 2007-11-15 19:49:46 EST
What are the contents of /etc/yum.repos.d/install-media.repo and the .discinfo
file on the DVD?
Comment 3 Michael White 2007-11-16 00:28:53 EST
The file /etc/yum.repos.d/install-media.repo does not exist.

.disinfo contents:
1194015916.783841
Fedora 8
x86_64
1
Packages/base
/srv/pungi/f8.rc5/8/Fedora/x86_64/os/Packages
Packages/pixmaps
Comment 4 Jeremy Katz 2007-11-16 11:02:11 EST
What are the contents of all the files in /etc/yum.repos.d then?
Comment 5 Michael White 2007-11-17 01:33:16 EST
[comicpage@localhost ~]$ for i in /etc/yum.repos.d/*
> do
> echo $i
> echo "==========================="
> cat $i
> echo "+++++++++++++++++++++++++++"
> echo ""
> done
/etc/yum.repos.d/fedora-development.repo
===========================
# These packages are untested and still under development. This
# repository is used for updates to test releases, and for
# development of new releases.
#
# This repository can see significant daily turnover and major
# functionality changes which cause unexpected problems with other
# development packages. Please use these packages if you want to work
# with the Fedora developers by testing these new development packages.
#
# fedora-test-list@redhat.com is available as a discussion forum for
# testing and troubleshooting for development packages in conjunction
# with new test releases.
#
# More information is available at http://fedoraproject.org/wiki/Testing 
#
# Reproducible and reportable issues should be filed at
# http://bugzilla.redhat.com/.
#
# Product: Fedora
# Version: devel

[development]
name=Fedora - Development
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/development/$basearc
h/os/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=$basear
ch
enabled=0
gpgcheck=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test file:///etc/pki/rpm-gpg/R
PM-GPG-KEY-fedora

[development-debuginfo]
name=Fedora - Development - Debug
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/development/$basearc
h/debug/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide-debug&arch=$
basearch
enabled=0
gpgcheck=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test file:///etc/pki/rpm-gpg/R
PM-GPG-KEY-fedora

[development-source]
name=Fedora - Development - Source
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/development/source/S
RPMS/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide-source&arch=
$basearch
enabled=0
gpgcheck=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test file:///etc/pki/rpm-gpg/R
PM-GPG-KEY-fedora

+++++++++++++++++++++++++++

/etc/yum.repos.d/Fedora-install-media.repo
===========================
[InstallMedia]
name=Fedora 8
mediaid=1194015916.783841
metadata_expire=-1
gpgcheck=0
cost=500
+++++++++++++++++++++++++++

/etc/yum.repos.d/fedora.repo
===========================
[fedora]
name=Fedora $releasever - $basearch
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/$releasever
/Everything/$basearch/os/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-$releasever&a
rch=$basearch
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GP
G-KEY

[fedora-debuginfo]
name=Fedora $releasever - $basearch - Debug
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/$releasever
/Everything/$basearch/debug/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-debug-$releas
ever&arch=$basearch
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GP
G-KEY

[fedora-source]
name=Fedora $releasever - Source
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/$releasever
/Everything/source/SRPMS/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-source-$relea
sever&arch=$basearch
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GP
G-KEY
+++++++++++++++++++++++++++

/etc/yum.repos.d/fedora-updates.repo
===========================
[updates]
name=Fedora $releasever - $basearch - Updates
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/$releasever/
$basearch/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f$r
eleasever&arch=$basearch
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

[updates-debuginfo]
name=Fedora $releasever - $basearch - Updates - Debug
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/$releasever/
$basearch/debug/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-deb
ug-f$releasever&arch=$basearch
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

[updates-source]
name=Fedora $releasever - Updates Source
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/$releasever/
SRPMS/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-sou
rce-f$releasever&arch=$basearch
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
+++++++++++++++++++++++++++

/etc/yum.repos.d/fedora-updates-testing.repo
===========================
[updates-testing]
name=Fedora $releasever - $basearch - Test Updates
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/testing/$rel
easever/$basearch/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-f$re
leasever&arch=$basearch
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test

[updates-testing-debuginfo]
name=Fedora $releasever - $basearch - Test Updates Debug
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/testing/$rel
easever/$basearch/debug/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-debu
g-f$releasever&arch=$basearch
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test

[updates-testing-source]
name=Fedora $releasever - Test Updates Source
failovermethod=priority
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing
/$releasever/SRPMS/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-sour
ce-f$releasever&arch=$basearch
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test
+++++++++++++++++++++++++++
Comment 6 Jeremy Katz 2007-11-19 11:17:09 EST
That looks fine.  What does lshal show for CD devices?  Does mounting CDs work
for you in nautilus?
Comment 7 Michael White 2007-11-21 01:13:22 EST
I'm not sure about Nautilus, but I know if I put in the DVD, KDE automatically
opens up the contents onto my desktop.  So it should be mounted fine.

Actually, I just tried this again, but -after- KDE has popped up the alert box
about what to do with the DVD.  I clicked on "Do Nothing", and now I'm stuck at
another spot.  Can't work with any archives.  I have a network connection, as
I'm able to get to Google.  Is there something I need to let past the firewall?

One other item, is that if I quit, the updater fails to unmount the DVD.  Which
basically means that I have to go in as superuser to unmount.

Here's the lshal for the DVD:
udi = '/org/freedesktop/Hal/devices/storage_model_DVDRW_LH_20A1H'
  access_control.file = '/dev/sr0'  (string)
  access_control.type = 'cdrom'  (string)
  block.device = '/dev/sr0'  (string)
  block.is_volume = false  (bool)
  block.major = 11  (0xb)  (int)
  block.minor = 0  (0x0)  (int)
  block.storage_device =
'/org/freedesktop/Hal/devices/storage_model_DVDRW_LH_20A1H'  (string)
  info.addons = {'hald-addon-storage'} (string list)
  info.callouts.add = {'hal-acl-tool --add-device'} (string list)
  info.callouts.remove = {'hal-acl-tool --remove-device'} (string list)
  info.capabilities = {'storage', 'block', 'storage.cdrom', 'access_control'}
(string list)
  info.category = 'storage'  (string)
  info.interfaces = {'org.freedesktop.Hal.Device.Storage',
'org.freedesktop.Hal.Device.Storage'} (string list)
  info.parent =
'/org/freedesktop/Hal/devices/pci_10de_265_scsi_host_scsi_device_lun0'  (string)
  info.product = 'DVDRW LH-20A1H'  (string)
  info.udi = '/org/freedesktop/Hal/devices/storage_model_DVDRW_LH_20A1H'  (string)
  info.vendor = 'LITE-ON'  (string)
  linux.hotplug_type = 3  (0x3)  (int)
  linux.sysfs_path = '/sys/block/sr0'  (string)
  org.freedesktop.Hal.Device.Storage.method_argnames = {'extra_options',
'extra_options'} (string list)
  org.freedesktop.Hal.Device.Storage.method_execpaths = {'hal-storage-eject',
'hal-storage-closetray'} (string list)
  org.freedesktop.Hal.Device.Storage.method_names = {'Eject', 'CloseTray'}
(string list)
  org.freedesktop.Hal.Device.Storage.method_signatures = {'as', 'as'} (string list)
  storage.automount_enabled_hint = true  (bool)
  storage.bus = 'scsi'  (string)
  storage.cdrom.bd = false  (bool)
  storage.cdrom.bdr = false  (bool)
  storage.cdrom.bdre = false  (bool)
  storage.cdrom.cdr = true  (bool)
  storage.cdrom.cdrw = true  (bool)
  storage.cdrom.dvd = true  (bool)
  storage.cdrom.dvdplusr = true  (bool)
  storage.cdrom.dvdplusrdl = true  (bool)
  storage.cdrom.dvdplusrw = true  (bool)
  storage.cdrom.dvdplusrwdl = false  (bool)
  storage.cdrom.dvdr = true  (bool)
  storage.cdrom.dvdram = true  (bool)
  storage.cdrom.dvdrw = true  (bool)
  storage.cdrom.hddvd = false  (bool)
  storage.cdrom.hddvdr = false  (bool)
  storage.cdrom.hddvdrw = false  (bool)
  storage.cdrom.mo = false  (bool)
  storage.cdrom.mrw = true  (bool)
  storage.cdrom.mrw_w = true  (bool)
  storage.cdrom.read_speed = 8467  (0x2113)  (int)
  storage.cdrom.support_media_changed = true  (bool)
  storage.cdrom.support_multisession = true  (bool)
  storage.cdrom.write_speed = 8467  (0x2113)  (int)
  storage.cdrom.write_speeds = {'8467', '7056', '5645', '4234', '2822', '2112',
'1764', '1411', '706'} (string list)
  storage.drive_type = 'cdrom'  (string)
  storage.firmware_version = 'LL0C'  (string)
  storage.hotpluggable = false  (bool)
  storage.lun = 0  (0x0)  (int)
  storage.media_check_enabled = true  (bool)
  storage.model = 'DVDRW LH-20A1H'  (string)
  storage.no_partitions_hint = true  (bool)
  storage.originating_device = '/org/freedesktop/Hal/devices/computer'  (string)
  storage.physical_device = '/org/freedesktop/Hal/devices/computer'  (string)
  storage.removable = true  (bool)
  storage.removable.media_available = false  (bool)
  storage.removable.support_async_notification = false  (bool)
  storage.requires_eject = true  (bool)
  storage.size = 0  (0x0)  (uint64)
  storage.vendor = 'LITE-ON'  (string)

Comment 8 Jeremy Katz 2008-05-28 15:17:25 EDT
This isn't going to get changed at this point as pirut is pretty much entirely
EOL'd and only getting critical fixes for older releases.  In Fedora 9 and
later, any such concerns can be filed against PackageKit/gnome-packagekit.

Note You need to log in before you can comment on or make changes to this bug.